net.sf.jasperreports.charts.util

## Class AbstractChartRenderableFactory

- java.lang.Object
- - net.sf.jasperreports.charts.util.AbstractChartRenderableFactory

- All Implemented Interfaces:
    ChartRenderableFactory, ChartRendererFactory
  Direct Known Subclasses:
    DrawChartRendererFactory, ImageChartRendererFactory, SvgChartRendererFactory

      public abstract class AbstractChartRenderableFactory
      extends java.lang.Object
      implements ChartRenderableFactory

  Version:
    $Id: AbstractChartRenderableFactory.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.charts.util.ChartRenderableFactory

      `PROPERTY_CHART_RENDERER_FACTORY_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractChartRenderableFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRRenderable` | `getRenderer(org.jfree.chart.JFreeChart chart, ChartHyperlinkProvider chartHyperlinkProvider, java.awt.geom.Rectangle2D rectangle)` Deprecated. Replaced by `ChartRenderableFactory.getRenderable(JasperReportsContext, JFreeChart, ChartHyperlinkProvider, Rectangle2D)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.charts.util.ChartRenderableFactory

      `getRenderable`

- - ### Constructor Detail

    - #### AbstractChartRenderableFactory

          public AbstractChartRenderableFactory()

  - ### Method Detail

    - #### getRenderer

          public final JRRenderable getRenderer(org.jfree.chart.JFreeChart chart,
                                 ChartHyperlinkProvider chartHyperlinkProvider,
                                 java.awt.geom.Rectangle2D rectangle)

      Deprecated. Replaced by `ChartRenderableFactory.getRenderable(JasperReportsContext, JFreeChart, ChartHyperlinkProvider, Rectangle2D)`.
      Specified by:
        `getRenderer` in interface `ChartRendererFactory`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com